from dataclasses import dataclass, field
from typing import List, Optional
from dataclasses_json import DataClassJsonMixin


@dataclass
class GeologicalElement(DataClassJsonMixin):
    id: List[str]
    name: str


@dataclass
class StructuralModelParams(DataClassJsonMixin):
    id: str
    name: str
    faults: Optional[List[GeologicalElement]] = field(default=None)
    horizons: Optional[List[GeologicalElement]] = field(default=None)
